Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.binding
Class WebApplicationMarshaller

    java.lang.Object
      org.jasig.portal.container.binding.WebApplicationMarshaller

    public class WebApplicationMarshaller

extends java.lang.Object

Produces a `web.xml` file based on a WebApplicationDefinition object.

Version:
  $Revision: 1.6 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private Serializer` | `serializer`
`private org.apache.pluto.om.servlet.WebApplicationDefinition` | `webApplicationDefinition`

Constructor Summary
`WebApplicationMarshaller()`

Method Summary
`private void` | `addDescriptions(org.w3c.dom.Element parent, org.apache.pluto.om.common.DescriptionSet descriptions)`
`private void` | `addDisplayNames(org.w3c.dom.Element parent, org.apache.pluto.om.common.DisplayNameSet displayNames)`
`private void` | `addIcon(org.w3c.dom.Element parent, IconImpl icon)`
`private void` | `addParameters(org.w3c.dom.Element parent, java.lang.String paramElementName, ParameterSetImpl parameters)`
`private void` | `addTextElement(org.w3c.dom.Element parent, java.lang.String elementName, java.lang.String text)`
`private void` | `buildDocument(org.apache.pluto.om.servlet.WebApplicationDefinition webApplicationDefinition, org.w3c.dom.Document doc)`
`void` | `init(org.apache.pluto.om.servlet.WebApplicationDefinition webApplicationDefinition, Serializer serializer)`
`void` | `marshall()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### webApplicationDefinition

    private org.apache.pluto.om.servlet.WebApplicationDefinition webApplicationDefinition

### serializer

    private Serializer serializer

Constructor Detail

### WebApplicationMarshaller

    public WebApplicationMarshaller()

Method Detail

### init

    public void init(org.apache.pluto.om.servlet.WebApplicationDefinition webApplicationDefinition,
                     Serializer serializer)

### marshall

    public void marshall()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### buildDocument

    private void buildDocument(org.apache.pluto.om.servlet.WebApplicationDefinition webApplicationDefinition,
                               org.w3c.dom.Document doc)

### addTextElement

    private void addTextElement(org.w3c.dom.Element parent,
                                java.lang.String elementName,
                                java.lang.String text)

### addDisplayNames

    private void addDisplayNames(org.w3c.dom.Element parent,
                                 org.apache.pluto.om.common.DisplayNameSet displayNames)

### addDescriptions

    private void addDescriptions(org.w3c.dom.Element parent,
                                 org.apache.pluto.om.common.DescriptionSet descriptions)

### addParameters

    private void addParameters(org.w3c.dom.Element parent,
                               java.lang.String paramElementName,
                               ParameterSetImpl parameters)

### addIcon

    private void addIcon(org.w3c.dom.Element parent,
                         IconImpl icon)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD